# getSrcDirs

abstract fun getSrcDirs(): Set<File>

Returns the source directories that make up this set.

Note that filtering via patterns using exclude and include (or any overload of these methods) only filters files within the DirectoryTrees returned by this method and does not filter the set of source directory trees themselves. This result should agree with getSrcDirTrees.

Does not filter source directories that do not exist.

#### Return

The source directories. Returns an empty set when this set contains no source directories.